Kea: isc::dns::TSIGKey::TSIGKeyImpl Struct Reference

| Kea 2.2.0

Public Member Functions | Public Attributes | List of all members
isc::dns::TSIGKey::TSIGKeyImpl Struct Reference

## Public Member Functions
| TSIGKeyImpl (const Name &key_name, const Name &algorithm_name, isc::cryptolink::HashAlgorithm algorithm, size_t digestbits)
| TSIGKeyImpl (const Name &key_name, const Name &algorithm_name, isc::cryptolink::HashAlgorithm algorithm, size_t digestbits, const void *secret, size_t secret_len)

## Public Attributes
const isc::cryptolink::HashAlgorithm | algorithm_
Name | algorithm_name_
size_t | digestbits_
Name | key_name_
const vector< uint8_t > | secret_

## Detailed Description

Definition at line 58 of file tsigkey.cc.

## Constructor & Destructor Documentation

## ◆ TSIGKeyImpl() [1/2]

isc::dns::TSIGKey::TSIGKeyImpl::TSIGKeyImpl | ( | const Name & | key_name,
|  | const Name & | algorithm_name,
|  | isc::cryptolink::HashAlgorithm | algorithm,
|  | size_t | digestbits
| ) |  |
| inline

Definition at line 60 of file tsigkey.cc.

References isc::dns::TSIGKey::HMACMD5_NAME(), and isc::cryptolink::MD5.

Here is the call graph for this function:

## ◆ TSIGKeyImpl() [2/2]

isc::dns::TSIGKey::TSIGKeyImpl::TSIGKeyImpl | ( | const Name & | key_name,
|  | const Name & | algorithm_name,
|  | isc::cryptolink::HashAlgorithm | algorithm,
|  | size_t | digestbits,
|  | const void * | secret,
|  | size_t | secret_len
| ) |  |
| inline

Definition at line 75 of file tsigkey.cc.

References isc::dns::TSIGKey::HMACMD5_NAME(), and isc::cryptolink::MD5.

Here is the call graph for this function:

## Member Data Documentation

## ◆ algorithm_

const isc::cryptolink::HashAlgorithm isc::dns::TSIGKey::TSIGKeyImpl::algorithm_

Definition at line 94 of file tsigkey.cc.

Referenced by isc::dns::TSIGKey::getAlgorithm().

## ◆ algorithm_name_

Name isc::dns::TSIGKey::TSIGKeyImpl::algorithm_name_

Definition at line 93 of file tsigkey.cc.

Referenced by isc::dns::TSIGKey::getAlgorithmName().

## ◆ digestbits_

size_t isc::dns::TSIGKey::TSIGKeyImpl::digestbits_

Definition at line 95 of file tsigkey.cc.

Referenced by isc::dns::TSIGKey::getDigestbits().

## ◆ key_name_

Name isc::dns::TSIGKey::TSIGKeyImpl::key_name_

Definition at line 92 of file tsigkey.cc.

Referenced by isc::dns::TSIGKey::getKeyName().

## ◆ secret_

const vector<uint8_t> isc::dns::TSIGKey::TSIGKeyImpl::secret_

Definition at line 96 of file tsigkey.cc.

Referenced by isc::dns::TSIGKey::getSecret(), and isc::dns::TSIGKey::getSecretLength().

The documentation for this struct was generated from the following file:

- tsigkey.cc